from django.shortcuts import render, redirect
from django.contrib.auth import authenticate
from django.contrib.auth import login as a_login, logout as a_logout
from account.forms import LoginForm
from django.core.urlresolvers import reverse

from home.views import homepage

def login(request):
    error = False

    if request.method == "POST":
        form = LoginForm(request.POST)
        if form.is_valid():
            username = form.cleaned_data["username"]
            password = form.cleaned_data["password"]
            user = authenticate(username=username, password=password)
            if user:
                a_login(request, user)
                return redirect(reverse(homepage))
            else:
                error = True
    else:
        form = LoginForm()

    return render(request, 'account/login.html',locals())

def logout(request):
    a_logout(request)                                                                                     
    return redirect(reverse(homepage))

def account(request):
    pass